export declare type Outcome = "Success" | "Error";
export declare class Response {
    message?: string | undefined;
    constructor(message?: string | undefined);
}
export declare class SuccessResponse extends Response {
    result: Outcome;
    constructor(message?: string);
}
export declare class ErrorResponse extends Response {
    result: Outcome;
    constructor(message?: string);
}
export declare class SubscriptionResponse extends SuccessResponse {
    uid: string;
    constructor(uid: string, message?: string);
}
